# Enrollment Status Endpoint

### Enrollment Status <a href="#deposit-status" id="deposit-status"></a>

<mark style="color:$success;">`GET`</mark> `https://api-stg.onekeypayments.com/v3/enrollments/{id}`

This endpoint allows you to obtain the information of a certain enrollment, together with all the deposits tied to it.

#### Path Parameters

| Name                                 | Type    | Description                                                 |
| ------------------------------------ | ------- | ----------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | integer | Enrollment ID. It is obtained when creating the enrollment. |

#### Headers

<table><thead><tr><th width="249">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>X-Date<mark style="color:red;">*</mark></td><td>string</td><td>ISO8601 Datetime with Timezone: <code>yyyy-MM-dd'T'HH:mm:ssZ</code></td></tr><tr><td>X-Login<mark style="color:red;">*</mark></td><td>string</td><td>Merchant X-Login API Key</td></tr><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>Authentication signature hash</td></tr></tbody></table>

## Example response

```json
{
    "enrollment_id": 30,
    "amount": 1.00,
    "country": "BR",
    "currency": "BRL",
    "invoice_id": "invoiceid10000",
    "amount_type": "FIXED",
    "status": "ACTIVE",
    "frequency": "MONTHLY",
    "start_date": "2025-10-22",
    "payer": {
        "id": "404606303",
        "email": "ricardo.carlos@example.com",
        "first_name": "Ricardo",
        "last_name": "Carlos",
        "phone": "+5511999999999",
        "full_name": "Ricardo Carlos"
    },
    "deposits": [
        1398852515
    ]
}
```

{% hint style="success" %}
This response gives you all the information about the enrollment created, and also the "deposits" **object,** which includes all the deposits tied to this enrollment ID. You can use the regular [deposit status API ](/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md)to get details of each deposit ID.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-documentation/automatic-pix-api/enrollment-status-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
